# MatrixFactory

class `psi4.core.``MatrixFactory`

  Bases: `pybind11_builtins.pybind11_object`

  Creates Matrix objects

  Methods Summary

  `create_matrix`(*args, **kwargs) | Overloaded function.

  Methods Documentation

  `create_matrix`(*args, **kwargs)

    Overloaded function.

    1. create_matrix(self: psi4.core.MatrixFactory) -> psi4.core.Matrix

    Returns a new matrix object with default dimensions

    2. create_matrix(self: psi4.core.MatrixFactory, arg0: str) -> psi4.core.Matrix

    Returns a new Matrix object named name with default dimensions

  `create_matrix`(*args, **kwargs)

    Overloaded function.

    1. create_matrix(self: psi4.core.MatrixFactory) -> psi4.core.Matrix

    Returns a new matrix object with default dimensions

    2. create_matrix(self: psi4.core.MatrixFactory, arg0: str) -> psi4.core.Matrix

    Returns a new Matrix object named name with default dimensions